#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Helpers about files
# 
# How to compress, encrypt, decrypt files with pyquickhelper.

# ## compress

# In[1]:


from pyquickhelper.filehelper import download, gzip_files, zip7_files, zip_files


# In[2]:


download("https://docs.python.org/3.4/library/urllib.request.html")


# In[3]:


gzip_files("request.html.gz", ["urllib.request.html"])


# In[4]:


import os
os.listdir(".")


# In[5]:


ipy = [ _ for _ in os.listdir(".") if ".ipynb" in _ ]
if os.path.exists("request.html.zip"):
    os.remove("notebooks.zip")
zip_files("notebooks.zip", ipy)


# The following example get all files registered in a repository GIT or SVN.

# In[6]:


from pyquickhelper.filehelper import explore_folder_iterfile_repo


# In[7]:


files = list ( explore_folder_iterfile_repo(".") )


# In[8]:


files


# ## encrypt, decrypt

# In[9]:


get_ipython().run_line_magic('load_ext', 'pyquickhelper')


# In[10]:


get_ipython().run_line_magic('encrypt_file', 'notebooks.zip notebooks.enc passwordpassword')


# In[11]:


get_ipython().run_line_magic('decrypt_file', 'notebooks.enc notebooks2.zip passwordpassword')


# In[12]: